Bug 727646 - Review Request: link-grammar - A Grammar Checking library
Summary: Review Request: link-grammar - A Grammar Checking library
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Niels de Vos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-02 17:54 UTC by hannes
Modified: 2011-08-10 05:00 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-10 05:00:09 UTC
ndevos: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description hannes 2011-08-02 17:54:30 UTC
This package was removed due to a FTBFS error. I updated it and fixed build errors. Should be easy to review it.
Spec URL: http://hannes.fedorapeople.org/link-grammar.spec
SRPM URL: http://hannes.fedorapeople.org/link-grammar-4.7.4-1.fc15.src.rpm
Description: A library that can perform grammar checking.

Koji-Scratch-Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3247344

Comment 1 Niels de Vos 2011-08-05 07:41:13 UTC
Some details from the review for reference:
 +:ok, =:needs attention, -:needs fixing

MUST Items:
[+] MUST: rpmlint must be run on every package.
$ rpmlint link-grammar-4.7.4-1.fc15.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint link-grammar.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
$ rpmlint /var/lib/mock/fedora-14-x86_64/result/*.rpm
link-grammar.x86_64: W: shared-lib-calls-exit /usr/lib64/liblink-grammar.so.4.7.4 exit@GLIBC_2.2.5
link-grammar-devel.x86_64: W: spelling-error Summary(en_US) liblink -> li blink, li-blink, lib link
link-grammar-devel.x86_64: W: spelling-error %description -l en_US liblink -> li blink, li-blink, lib link
link-grammar-devel.x86_64: W: no-documentation
link-grammar-java.x86_64: W: spelling-error Summary(en_US) liblink -> li blink, li-blink, lib link
link-grammar-java.x86_64: W: spelling-error %description -l en_US liblink -> li blink, li-blink, lib link
link-grammar-java.x86_64: W: no-documentation
link-grammar-java-devel.x86_64: W: spelling-error Summary(en_US) liblink -> li blink, li-blink, lib link
link-grammar-java-devel.x86_64: W: spelling-error %description -l en_US liblink -> li blink, li-blink, lib link
link-grammar-java-devel.x86_64: W: no-documentation
6 packages and 0 specfiles checked; 0 errors, 10 warnings.


[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
COPYING and LICENSE are provided in the source, they are exactly the same - including one of them should be fine

[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.
$ md5sum link-grammar-4.7.4.tar.gz*
e90e702a953641713a1292db20677bd2  link-grammar-4.7.4.tar.gz
e90e702a953641713a1292db20677bd2  link-grammar-4.7.4.tar.gz._src.rpm

[+] MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.
[+] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+] MUST: All build dependencies must be listed in BuildRequires
[+] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro.
[+] MUST: Every binary RPM package which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissible content. This is described in detail in the code vs. content section of Packaging Guidelines.
[+] MUST: Large documentation files should go in a doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+] MUST: Header files must be in a -devel package.
[+] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
[+] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described.
[+] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[+] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
jpackage-utils is a dependency suggested by https://fedoraproject.org/wiki/Packaging:Java

[+] SHOULD: Packages should try to preserve timestamps of original installed files.



link-grammar looks good -> ACCEPT

Note that there is an rpmlint warning that may need to be fixed upstream. This will not block this package, but you might want to file a bug against it.

$ rpmlint /var/lib/mock/fedora-14-x86_64/result/link-grammar-4.7.4-1.fc14.x86_64.rpm
link-grammar.x86_64: W: shared-lib-calls-exit /usr/lib64/liblink-grammar.so.4.7.4 exit@GLIBC_2.2.5
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint -I shared-lib-calls-exit
shared-lib-calls-exit:
This library package calls exit() or _exit(), probably in a non-fork()
context. Doing so from a library is strongly discouraged - when a library
function calls exit(), it prevents the calling program from handling the
error, reporting it to the user, closing files properly, and cleaning up any
state that the program has. It is preferred for the library to return an
actual error code and let the calling program decide how to handle the
situation.

Comment 2 hannes 2011-08-05 12:43:53 UTC
Alright thanks for the fast review. Is anyone interested in co-maintainership? I don't really have strong feelings for this package so anyone who is interested in abiword might like to step in to help maintaining it.
If there is no one interested I will file a SCM request tomorrow.

Comment 3 hannes 2011-08-06 05:47:18 UTC
New Package SCM Request
=======================
Package Name: link-grammar
Short Description: A Grammar Checking library
Owners: hannes
Branches: f15 f16
InitialCC:

Comment 4 Niels de Vos 2011-08-06 15:47:02 UTC
I'm also not very interested in this package, but use abiword on occasion. Feel free to add me as a co-maintainer and I'll try to jump in if there are any issues with it.

Comment 5 Gwyn Ciesla 2011-08-06 20:25:13 UTC
I've unretired the package.  It's still owned by uwog in f15 and f14. Please
take ownership of devel in pkgdb, and submit a Package Change request for an
f16 branch.   If you want ownership of the f15 and f14 branches, either have
uwog release them or we can do that.

Comment 6 hannes 2011-08-07 05:18:33 UTC
Package Change Request
======================
Package Name: link-grammar
New Branches: f16
Owners: hannes devos fabiand
InitialCC:

Comment 7 Gwyn Ciesla 2011-08-07 13:49:36 UTC
Git done (by process-git-requests).

Comment 8 hannes 2011-08-10 05:00:09 UTC
Build in rawhide.


Note You need to log in before you can comment on or make changes to this bug.